%define version 2.10.4
%define oname pygtk
#rpmlint wants %mklibname
Summary:	The sources for the PyGTK2 Python extension modules
Name:		pygtk2.0
Version:	%{version}
Release: %mkrel 1
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%oname/%oname-%{version}.tar.bz2
License:	LGPL
Group:		Development/GNOME and GTK+
BuildRequires:  gtk+2-devel >= 2.9.3
BuildRequires:	libglade2.0-devel 
BuildRequires:  python-devel >= %{pyver} python-numeric-devel
BuildRequires:  python-gobject >= 2.12.1
BuildRequires:  python-cairo >= 1.0.0
%if %mdkversion <= 200600
BuildRequires:	XFree86-Xvfb
%else
BuildRequires:  x11-server-xvfb
%endif
BuildRequires:  gnome-common
#BuildRequires:  gtk-doc
BuildRequires:  libxslt-proc
BuildRoot:	%_tmppath/%name-%version-root
URL:		http://www.daa.com.au/~james/software/pygtk/

Summary:	Python bindings for the GTK+2 widget set
Group:		Development/GNOME and GTK+
Requires: 	python-numeric
Requires:  python-gobject
Requires:  python-cairo
Conflicts:	pygtk < 0.6.11
Provides: %name-wrapper
Obsoletes: %name-wrapper

%description
PyGTK is an extension module for python that gives you access to the GTK+
widget set.  Just about anything you can write in C with GTK+ you can write
in python with PyGTK (within reason), but with all of python's benefits.

This new release includes GTK2 support.


%package devel
Version: %{version}
Summary: Files needed to build wrappers for GTK+ addon libraries
Group: Development/GNOME and GTK+
Requires: %name = %{version}
Requires: gtk2-devel
Requires: python-devel >= %{pyver}

%description devel
This package contains files required to build wrappers for GTK+ addon
libraries so that they interoperate with pygtk.

This new release includes GTK2 support.

%package libglade
Version:	%{version}
Summary:	A wrapper for the libglade library for use with PyGTK
Group:		Development/GNOME and GTK+
Requires: 	%name = %version

%description libglade
This module contains a wrapper for the libglade library.  Libglade is a
library similar to the pyglade module, except that it is written in C (so
is faster) and is more complete.

%prep
%setup -q -n pygtk-%{version}

%build
%configure2_5x  --enable-thread
%make

%check
XDISPLAY=$(i=1; while [ -f /tmp/.X$i-lock ]; do i=$(($i+1)); done; echo $i)
%if %mdkversion <= 200600
%{_prefix}/X11R6/bin/Xvfb :$XDISPLAY &
%else
%{_bindir}/Xvfb :$XDISPLAY &
%endif
export DISPLAY=:$XDISPLAY
make check
kill $(cat /tmp/.X$XDISPLAY-lock) || :

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%dir %{_libdir}/python%{pyver}/site-packages/gtk-2.0/gtk/
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/gtk/*.py*
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/gtk/_*.so
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/gtk/_*.la
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/gtkunixprint*
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/atk*
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/pango*

%doc AUTHORS NEWS README MAPPING ChangeLog 

%files libglade
%defattr(-,root,root)
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/gtk/glade.so
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/gtk/glade.la

%files devel
%defattr(-,root,root)
%doc docs examples
%{_bindir}/pygtk-codegen-2.0
%{_bindir}/pygtk-demo
%{_includedir}/pygtk-2.0/*
%dir %{_datadir}/pygtk
%dir %{_datadir}/pygtk/2.0
%{_datadir}/pygtk/2.0/codegen
%dir %{_datadir}/pygtk/2.0/defs
%{_datadir}/pygtk/2.0/defs/*.defs
%{_datadir}/pygtk/2.0/defs/pangocairo.override
%{_libdir}/pygtk/2.0/pygtk-demo*
%{_libdir}/pygtk/2.0/demos
%{_libdir}/pkgconfig/pygtk-2.0.pc
%_datadir/gtk-doc/html/pygtk/

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Mon Feb 05 2007 Götz Waschk <waschk@mandriva.org> 2.10.4-1mdv2007.0
+ Revision: 116502
- new version

* Fri Jan 26 2007 Olivier Blin <oblin@mandriva.com> 2.10.3-4mdv2007.1
+ Revision: 113999
- move huge docs and devel examples in devel package

* Fri Jan 19 2007 Götz Waschk <waschk@mandriva.org> 2.10.3-3mdv2007.1
+ Revision: 110817
- fix buildrequires, reenabling Numeric Python support

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 2.10.3-2mdv2007.1
+ Revision: 88121
- rebuild
- Import pygtk2.0



* Wed Oct 04 2006 Götz Waschk <waschk@mandriva.org> 2.10.3-1mdv2007.0
- New version 2.10.3

* Tue Sep  5 2006 Gtz Waschk <waschk@mandriva.org> 2.10.1-1mdv2007.0
- bump deps
- New release 2.10.1

* Tue Aug  8 2006 Gtz Waschk <waschk@mandriva.org> 2.9.6-1mdv2007.0
- reenable parallel build
- bump deps
- New release 2.9.6

* Sun Aug  6 2006 Gtz Waschk <waschk@mandriva.org> 2.9.5-1mdv2007.0
- drop patch
- New release 2.9.5

* Sat Aug  5 2006 Gtz Waschk <waschk@mandriva.org> 2.9.4-1mdv2007.0
- update file list
- spec fixes
- bump deps
- add missing sources
- New release 2.9.4

* Wed Jul 12 2006 Gtz Waschk <waschk@mandriva.org> 2.9.3-1mdv2007.0
- drop patch
- New release 2.9.3

* Tue Jun 27 2006 Gtz Waschk <waschk@mandriva.org> 2.9.2-3mdv2007.0
- replace patch 0

* Thu Jun 22 2006 Frederic Crozat <fcrozat@mandriva.com> 2.9.2-2mdv2007.0
- Patch0 (CVS): fix for latest GTK+ 2.9.4 (Mdv bug #23259)

* Fri Jun 16 2006 Gtz Waschk <waschk@mandriva.org> 2.9.2-1mdv2007.0
- bump deps
- update file list
- New release 2.9.2

* Wed Apr 12 2006 Götz Waschk <waschk@mandriva.org> 2.8.6-1mdk
- New release 2.8.6

* Thu Mar 30 2006 Götz Waschk <waschk@mandriva.org> 2.8.5-1mdk
- New release 2.8.5

* Fri Feb 24 2006 Frederic Crozat <fcrozat@mandriva.com> 2.8.4-2mdk
- Fix buildrequires

* Wed Jan 11 2006 Gtz Waschk <waschk@mandriva.org> 2.8.4-1mdk
- fix installation
- New release 2.8.4

* Wed Jan 11 2006 Gtz Waschk <waschk@mandriva.org> 2.8.3-2mdk
- move modules to the right dir
- depend on python-cairo

* Tue Jan 10 2006 Gtz Waschk <waschk@mandriva.org> 2.8.3-1mdk
- drop wrapper package
- bump deps
- New release 2.8.3
- use mkrel

* Mon Oct 10 2005 Götz Waschk <waschk@mandriva.org> 2.8.2-1mdk
- New release 2.8.2

* Fri Oct 07 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.1-1mdk
- Release 2.8.1

* Fri Oct 07 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.0-1mdk
- Release 2.8.0

* Wed May 11 2005 Frederic Crozat <fcrozat@mandriva.com> 2.6.2-1mdk 
- Release 2.6.2

* Wed Apr 20 2005 Frederic Crozat <fcrozat@mandriva.com> 2.6.1-1mdk 
- Release 2.6.1 (based on Gtz Waschk package)

* Mon Mar 28 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.1-4mdk 
- Patch0: fix module detection

* Mon Dec 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.4.1-3mdk
- depend on Xvfb to allow running the tests
- fix deps

* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 2.4.1-2mdk
- Rebuild for new python

* Tue Nov  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.4.1-1mdk
- New release 2.4.1

* Sun Aug  8 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.3.96-1mdk
- New release 2.3.96

* Mon Aug  2 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.3.95-1mdk
- New release 2.3.95

* Thu Jul 22 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.3.94-1mdk
- New release 2.3.94

* Tue Jul 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.3.93-1mdk
- rpmlint fix
- reenable libtoolize
- New release 2.3.93

* Sat May 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.3.92-1mdk
- bot friendly spec
- New release 2.3.92

* Tue May  4 2004 Olivier Blin <blino@mandrake.org> 2.3.91-2mdk
- use real homepage as URL
- use complete URL of Source0
- require gtk2-devel in devel package

* Fri Apr 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.3.91-1mdk
- new version

* Mon Apr  5 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.3.90-1mdk
- drop the glarea package
- use the configure2_5x macro
- new version

* Mon Sep 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-2mdk
- use pyver macro
- fix devel requires

* Tue Sep  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-1mdk
- fix buildrequires
- new version

* Tue Sep  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.18-2mdk
- fix devel requires (the rpm scripts don't catch these)

* Sun Aug 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.18-1mdk
- new version

* Thu Aug 07 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.99.17-2mdk
- python 2.3

* Fri Aug  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.17-1mdk
- glademodule and glmodule have been renamed 
- new version

* Fri May  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.16-2mdk
- fix directory ownership

* Sun Mar 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.16-1mdk
- disable the configure macro
- add dependancy on pkgconfig to the devel package
- new version

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.15-5mdk
- fix buildrequires

* Wed Feb 26 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.15-4mdk
- enable threading support (closes bug #2428)

* Mon Feb 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.15-3mdk
- fix conflict with the old pygtk
- split out wrapper module
- fix buildrequires (thanks to Charles A Edwards)

* Fri Feb 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.15-2mdk
- spec cleanup
- remove some obsolete buildrequirements
- move libgtkglarea bindings to a subpackage
- remove glade bindings from the 

* Wed Feb 19 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.15-1mdk
- remove libtoolize workaround
- fix url
- new version

* Mon Dec 30 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.99.13-2mdk
- rebuild for new glibc/rpm, fix docs, installed but unpackaged files

* Fri Nov  1 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.99.13-1mdk
- new pygtk 1.99.13 for gtk2
